Namespace
library
Image / Tag
swift:5.10-noble
Content Digest
sha256:d5e7296689f5b2930e90b9e39c5ee5432c300d3167b9a1a8d7df054d8cdde0f1
Details
Created

2026-03-17 02:30:25 UTC

Size

840 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    24.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.10.1-release

SWIFT_PLATFORM

ubuntu24.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.10.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:817807f3c64e0b90b66edc7d90297f121cad2a7c2a3ee05a731557762f91e6c7 - 3.38% (28.4 MB)

[#001] sha256:3413f4f0abe40b8460ebbdf6db19bc734cf0f71d967db0370325fa01b1ead182 - 14.83% (125 MB)

[#002] sha256:93f8cd290c5db3de85635e98ef702e5bd5b5f1831ea8533f8df9dde2215bac7e - 81.79% (687 MB)

[#003] sha256:e8c245f976817eeeb01f804fc7879d151da04fbe3084c15b733ff07363156ca3 - 0.0% (174 Bytes)


History
2026-02-23 17:17:53 UTC

/bin/sh -c #(nop) ARG RELEASE

2026-02-23 17:17:53 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2026-02-23 17:17:53 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2026-02-23 17:17:53 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=24.04

2026-02-23 17:17:55 UTC

/bin/sh -c #(nop) ADD file:3f78aa860931e0853077f09eb31eddbeeef8a9dd70977305b4876aa176770721 in /

2026-02-23 17:17:56 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2026-03-17 02:27:04 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2026-03-17 02:27:04 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2026-03-17 02:27:04 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-13-dev libpython3-dev libsqlite3-0 libstdc++-13-dev libxml2-dev libncurses-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2026-03-17 02:27:04 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2026-03-17 02:27:04 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu24.04

2026-03-17 02:27:04 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-5.10.1-release

2026-03-17 02:27:04 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-5.10.1-RELEASE

2026-03-17 02:27:04 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2026-03-17 02:27:04 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-5.10.1-release SWIFT_VERSION=swift-5.10.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2026-03-17 02:30:25 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-5.10.1-release SWIFT_VERSION=swift-5.10.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2026-03-17 02:30:25 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-5.10.1-release SWIFT_VERSION=swift-5.10.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Details
Created

2026-03-17 02:34:48 UTC

Size

740 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    24.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.10.1-release

SWIFT_PLATFORM

ubuntu24.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.10.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:86790fc5660dcd86928b849ae0826aba701bf9e005e92c8f9e06c917e82c87f7 - 3.72% (27.5 MB)

[#001] sha256:f16432eb50aa7d9d88d060779d8a4b49445587797afae19125fea3cb948b6629 - 16.71% (124 MB)

[#002] sha256:1cc9dbef716cce25c4da76a02084b18b1749904a8e484711e3e866039c5d907f - 79.57% (589 MB)

[#003] sha256:010e9a6a381bcb9019c595ebeabfc84e60308967d5e8f5c4aa31dd855136b994 - 0.0% (171 Bytes)


History
2026-02-23 17:19:30 UTC

/bin/sh -c #(nop) ARG RELEASE

2026-02-23 17:19:30 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2026-02-23 17:19:30 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2026-02-23 17:19:30 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=24.04

2026-02-23 17:19:32 UTC

/bin/sh -c #(nop) ADD file:2763d61bc43bd178306ae0d4151c2477166ebf199b8d7294d9ea410f9891993f in /

2026-02-23 17:19:33 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2026-03-17 02:34:13 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2026-03-17 02:34:13 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2026-03-17 02:34:13 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-13-dev libpython3-dev libsqlite3-0 libstdc++-13-dev libxml2-dev libncurses-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2026-03-17 02:34:13 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2026-03-17 02:34:13 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu24.04

2026-03-17 02:34:13 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-5.10.1-release

2026-03-17 02:34:13 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-5.10.1-RELEASE

2026-03-17 02:34:13 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2026-03-17 02:34:13 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-5.10.1-release SWIFT_VERSION=swift-5.10.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2026-03-17 02:34:48 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-5.10.1-release SWIFT_VERSION=swift-5.10.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2026-03-17 02:34:48 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-5.10.1-release SWIFT_VERSION=swift-5.10.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete